Retrieve a list of shared tables#
Description#
Returns a list of shared tables associated with the workspace of the request.
GET /api/v1/sharedtable
Required OAuth Scopes
No OAuth scopes are required to use this endpoint.
Parameters#
Parameter |
In |
Type |
Required |
Description |
|---|---|---|---|---|
sharedWithMe |
query |
boolean |
false |
If true, returns a list of tables that have been shared to it rather than |
tableId |
query |
string |
false |
The unique table identifier associated with the shared table |
cursor |
query |
string |
false |
A paging cursor; if included, |
limit |
query |
integer(int32) |
false |
The number of shared files to return, from 1 to 1000; by default, 1000 |
offset |
query |
integer(int64) |
false |
The item to start with on the page, greater than or equal to 0; by default, 0 |
Detailed descriptions#
sharedWithMe: If true, returns a list of tables that have been shared to it rather than
from it. The entities contain both the shared table entity and the table being
shared. If true, tableId is ignored.
Code Samples#
curl -X GET https://h.app.wdesk.com/s/wdata/prep/api/v1/sharedtable \
-H 'Accept: application/json' \
-H 'Authorization: Bearer {access-token}'
http GET https://h.app.wdesk.com/s/wdata/prep/api/v1/sharedtable \
Accept:application/json \
Authorization:"Bearer {access-token}"
wget --method=GET "https://h.app.wdesk.com/s/wdata/prep/api/v1/sharedtable" \
--output-document - \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {access-token}'
import requests
headers = {
'Accept': 'application/json',
'Authorization': 'Bearer {access-token}'
}
r = requests.get('https://h.app.wdesk.com/s/wdata/prep/api/v1/sharedtable', headers = headers)
print(r.json())
Returns#
200 - OK#
Returns a JSON object with body and cursor properties.
bodycontains an array ofSharedTableDtoobjects. If the request returns no results,bodycontains an empty array.cursorcontains a paging cursor, which can be included in the next call to this endpoint to retrieve the next set of results. If no additional results,cursorisnull.
Example Responses#
{
"body": [
{
"created": "string",
"destinationWorkspaceId": "string",
"id": "string",
"parentId": "string",
"sourceTableId": "string",
"table": {
"created": "string",
"databaseId": "string",
"datasetUpdated": "string",
"deleted": "boolean",
"description": "string",
"hierarchyMetadata": {
"childColumnId": "string",
"parentColumnId": "string"
},
"id": "string",
"isShared": "boolean",
"lastUploaded": "string",
"name": "string",
"parentId": "string",
"readOnly": "boolean",
"tableSchema": {
"columns": [
{
"alias": "string",
"description": "string",
"metadata": {},
"mode": "string",
"name": "string",
"type": "string"
}
]
},
"type": "string",
"uniqueTableConstraints": [
{
"description": "string",
"id": "string",
"name": "string",
"tableId": "string",
"values": [
"string"
]
}
],
"updated": "string",
"userId": "string",
"version": "integer"
},
"updated": "string",
"userId": "string",
"version": "integer"
}
],
"code": "integer",
"cursor": "string"
}